diff --git a/Makefile b/Makefile
index 94f7c6f1..17c02947 100755
--- a/Makefile
+++ b/Makefile
@@ -152,7 +152,7 @@ PAHO_C_SUB_TARGET = ${blddir}/samples/${PAHO_C_SUB_NAME}
 PAHO_CS_PUB_TARGET = ${blddir}/samples/${PAHO_CS_PUB_NAME}
 PAHO_CS_SUB_TARGET = ${blddir}/samples/${PAHO_CS_SUB_NAME}
 
-CCFLAGS_SO = -g -fPIC $(CFLAGS) -Os -Wall -fvisibility=hidden -I$(blddir_work) -fpermissive
+CCFLAGS_SO = -g -fPIC $(CFLAGS) -Os -Wall -fvisibility=hidden -I$(blddir_work) 
 FLAGS_EXE = $(LDFLAGS) -I ${srcdir} -lpthread -L ${blddir}
 FLAGS_EXES = $(LDFLAGS) -I ${srcdir} ${START_GROUP} -lpthread -lssl -lcrypto ${END_GROUP} -L ${blddir}
 
@@ -215,7 +215,7 @@ mkdir:
 	echo OSTYPE is $(OSTYPE)
 
 ${SYNC_TESTS}: ${blddir}/test/%: ${srcdir}/../test/%.c $(MQTTLIB_C_TARGET)
-	${CC} -DNOSTACKTRACE $(srcdir)/Thread.c -g -o $@ $< -l${MQTTLIB_C} ${FLAGS_EXE}
+	${CC} -DNOSTACKTRACE -DNOLOG_MESSAGES $(srcdir)/Thread.c -g -o $@ $< -l${MQTTLIB_C} ${FLAGS_EXE}
 
 ${SYNC_SSL_TESTS}: ${blddir}/test/%: ${srcdir}/../test/%.c $(MQTTLIB_CS_TARGET)
 	${CC} -g -o $@ $< -l${MQTTLIB_CS} ${FLAGS_EXES}
diff --git a/src/Thread.c b/src/Thread.c
index 39c018df..2e3c7959 100644
--- a/src/Thread.c
+++ b/src/Thread.c
@@ -31,6 +31,7 @@
 #if defined(THREAD_UNIT_TESTS)
 #define NOSTACKTRACE
 #endif
+#include "Log.h"
 #include "StackTrace.h"
 
 #undef malloc
@@ -369,7 +370,9 @@ cond_type Thread_create_cond(void)
 #if !defined(OSX)
 	if ((rc = pthread_condattr_setclock(&attr, CLOCK_MONOTONIC)) != 0)
 	{
+#if !defined(NOLOG_MESSAGES)
 		Log(LOG_ERROR, -1, "Error %d calling pthread_condattr_setclock(CLOCK_MONOTONIC)", rc);
+#endif
 		use_clock_monotonic = 0;
 	}
 #endif
diff --git a/test/CMakeLists.txt b/test/CMakeLists.txt
index 4c9110cb..be18e30c 100644
--- a/test/CMakeLists.txt
+++ b/test/CMakeLists.txt
@@ -51,7 +51,7 @@ ADD_EXECUTABLE(
 
 SET_TARGET_PROPERTIES(
   thread PROPERTIES
-  COMPILE_DEFINITIONS "NOSTACKTRACE"
+  COMPILE_DEFINITIONS "NOSTACKTRACE;NOLOG_MESSAGES" 
 )
 
 TARGET_LINK_LIBRARIES(
